<template>
  <el-dialog
    :title="!dataForm.id ? '新增' : '修改'"
    width="500px"
    :visible.sync="visible"
  >
    <el-form
      :model="dataForm"
      :rules="dataRule"
      ref="dataForm"
      label-width="100px"
      class="l-mes"
    >
      <el-form-item v-if="dataForm.id" label="标签元素码" prop="itemCode">
        <el-input v-model="dataForm.itemCode" disabled />
      </el-form-item>
      <el-form-item label="标签元素描述" prop="itemDesc">
        <el-input v-model="dataForm.itemDesc" />
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button
        type="primary"
        :disabled="isSubmit"
        v-thinclick="`dataFormSubmit`"
      >
        确定
      </el-button>
    </span>
  </el-dialog>
</template>
<script>
import { addObj, putObj } from '@/api/print/element'
const dataFormDefault = () => {
  return {
    id: null,
    itemCode: null,
    itemDesc: null
  }
}
export default {
  data() {
    return {
      visible: false,
      dataForm: dataFormDefault(),
      dataRule: {
        itemDesc: [
          { required: true, message: '标签元素描述不能为空', trigger: 'blur' }
        ]
      },
      isSubmit: false
    }
  },
  created() {},
  methods: {
    init(row = dataFormDefault()) {
      this.dataForm = JSON.parse(JSON.stringify(row))
      this.visible = true
    },
    // 表单提交
    dataFormSubmit() {
      this.isSubmit = true
      this.$refs.dataForm.validate((valid) => {
        if (valid) {
          if (this.dataForm.id) {
            putObj(this.dataForm).then((data) => {
              this.$message.success('修改成功')
              this.visible = false
              this.isSubmit = false
              this.$emit('refreshDataList')
            })
          } else {
            addObj(this.dataForm).then((data) => {
              this.$message.success('添加成功')
              this.visible = false
              this.isSubmit = false
              this.$emit('refreshDataList')
            })
          }
        } else {
          this.isSubmit = false
        }
      })
    }
  }
}
</script>
